sha256:f7e785a9e495ef35e49b6b787cc71e7ad688d0be682b4e6250f32a6bc4a5c224
2019-11-23 09:38:34 UTC
338 MB
0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
PYTHON_PIP_VERSION19.3.1
PYTHON_VERSION3.7.5
[#000] sha256:d34dc3661e80ce84b97704f402da563467559a0af488425969a76a38a8761a63 - 14.43% (48.8 MB)
[#001] sha256:c6a002a28e7af0825b2efeca76651a2e3e98ba4d0ee10eed07b3d1495cc86a50 - 2.25% (7.61 MB)
[#002] sha256:d521d3b916711e34309354077f7f65c55009c0845fcce1b34ec7de57e3d97435 - 2.92% (9.86 MB)
[#003] sha256:307a5cecf8b6e164d82cc59bf21e9316e3e5e98d21dab1a969d690c117d83ae2 - 15.06% (50.9 MB)
[#004] sha256:4d04d7f177748111a9f0984420d86be7db6e1583a9a71bf27b890d0034907e8c - 56.05% (189 MB)
[#005] sha256:234bfef9f740aa5b0b1e4071705bf47a9ff727aea2a8ae5547f71b75addfe6e7 - 1.73% (5.85 MB)
[#006] sha256:9783b96b982afb4e11f3768cc3c32225ee3f6cc1db54aadc580320129c906c73 - 7.02% (23.7 MB)
[#007] sha256:24c6abf43bacc41338837815adfc203a3e601cb42eb804b916a179399f1ac49c - 0.0% (234 Bytes)
[#008] sha256:3c8d1d9dd5db865b029965f0f6823f9d359825d96695d48f2f925a8c5c7fadcf - 0.53% (1.78 MB)
/bin/sh -c #(nop) ADD file:637dd256233b11c890b47c64e1116a873db07060c542d65ed8c5e1f1692b93c5 in /
2019-11-22 16:49:51 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-11-23 00:39:34 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-11-23 00:39:44 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-11-23 00:40:11 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-11-23 00:41:35 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2019-11-23 08:48:35 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-11-23 08:48:35 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2019-11-23 08:48:49 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2019-11-23 09:23:00 UTC/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
2019-11-23 09:23:01 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.5
2019-11-23 09:38:27 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version
2019-11-23 09:38:28 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2019-11-23 09:38:28 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=19.3.1
2019-11-23 09:38:28 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
2019-11-23 09:38:28 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
2019-11-23 09:38:34 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2019-11-23 09:38:34 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:fbf9f709ca9f5d96dec78cc074963bc44f0497bb73792bf2cd1cb40072ad0f8f
2019-11-23 06:01:33 UTC
330 MB
0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
PYTHON_PIP_VERSION19.3.1
PYTHON_VERSION3.7.5
[#000] sha256:16ea0e8c887910fe167687a0169991b4c1fc165257aab6b116f6a5e61a64e7af - 14.55% (48 MB)
[#001] sha256:50024b0106d53dcbd29889c65bc040439b2bb8947dac16c8c670db894a2c5ba6 - 2.26% (7.45 MB)
[#002] sha256:ff95660c69375e19e287b2ea87ca9b4be008cd036e95d541515262b86cc521d9 - 2.89% (9.53 MB)
[#003] sha256:9c7d0e5c0bc204b3a36e3f8ff320741da0bd0225e0a67e224c6265c1e208f80a - 14.96% (49.4 MB)
[#004] sha256:29c4fb388fdfef16e8278fba2b06d46e48d152e1b40f4347c8828a04c8e2a87e - 55.47% (183 MB)
[#005] sha256:8659dae93050c1ac9ec02542a046e4b40109f6ee13d16472442de03dd15b792e - 1.67% (5.52 MB)
[#006] sha256:1da0ab556051b0a33943e34aa7aec09e19e27258bc09ceb8725ab688eb7ce52e - 7.67% (25.3 MB)
[#007] sha256:e92ae9350d4a47e5dcfbae78a0a06db3691fa602e93e7e6f6094ff187ca1cfd0 - 0.0% (234 Bytes)
[#008] sha256:c648cb7fc575dd1e2a3b60c09fbac445bf8f182f5ae069a7e5aea4fba54c00fe - 0.54% (1.78 MB)
/bin/sh -c #(nop) ADD file:9b7d9295bf7e8307ba4e81ce20770256b964da70dea966568b3515ad026d0b27 in /
2019-11-22 14:54:40 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-11-23 00:00:41 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-11-23 00:00:49 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-11-23 00:01:14 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-11-23 00:02:33 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2019-11-23 05:27:44 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-11-23 05:27:44 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2019-11-23 05:27:53 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2019-11-23 05:51:02 UTC/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
2019-11-23 05:51:02 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.5
2019-11-23 06:01:26 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version
2019-11-23 06:01:27 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2019-11-23 06:01:27 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=19.3.1
2019-11-23 06:01:28 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
2019-11-23 06:01:28 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
2019-11-23 06:01:33 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2019-11-23 06:01:33 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:e96c464a96fd545cb54b4abfa640e432c0c2563be14a7a17041572c97e01170f
2019-12-11 00:59:53 UTC
5.39 GB
b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
PYTHON_PIP_VERSION19.3.1
PYTHON_RELEASE3.7.5
PYTHON_VERSION3.7.5
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 70.3% (3.79 GB)
[#001] sha256:55d044e60c8959ce88aee467913bb11827c1ec057a2fd108a293e274dbd74f1d - 28.55% (1.54 GB)
[#002] sha256:530e4240d4261ce165890648d1df6230dc4f9ce5df2e6cf9f0d5876694c3d4f0 - 0.0% (1.18 KB)
[#003] sha256:60c143dcaa08ba3446e15d60d67a5a52b12d6a97bba7bd20575e48df32a2f1e1 - 0.0% (1.18 KB)
[#004] sha256:190deccbeda2655638777856687a6374cdf81f9b2963d7f0100b1a52d5808e2e - 0.0% (1.18 KB)
[#005] sha256:0bef2dbdcc405056d54934748dcb2b7ec022bad9eab43b4572c69ecdaeed5122 - 0.97% (53.5 MB)
[#006] sha256:960cc327833db3511ea9cceca2925252b145c071eaadbe8fffdede9ab059340c - 0.0% (1.18 KB)
[#007] sha256:772ef8c79844ba12f1d7ff9dc726f8fd11d5e96891fa9dceaa6725120f0759e9 - 0.0% (1.16 KB)
[#008] sha256:771cd4c7735dcd330cdcc96c0c0d40267cc5efbc3b0c3e31654ad464e4524ad4 - 0.0% (1.16 KB)
[#009] sha256:e52eeee423917036c6bc3297a80bce43aa2bf85ef6b04dae7125063f0a173196 - 0.18% (9.8 MB)
[#010] sha256:e3e8741895556236ee14a6a4504e0849d291953f8e4c1ec635da1b94ff509d15 - 0.0% (1.16 KB)
Apply image 1607-RTM-amd64
2019-11-27 14:43:00 UTCInstall update ltsc2016-amd64
2019-12-11 00:35:49 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2019-12-11 00:54:49 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.7.5
2019-12-11 00:54:50 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.7.5
2019-12-11 00:57:54 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; Start-Process python.exe -Wait -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ); $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Write-Host 'Complete.'
2019-12-11 00:57:55 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=19.3.1
2019-12-11 00:57:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
2019-12-11 00:57:58 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
2019-12-11 00:59:52 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2019-12-11 00:59:53 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:1a640afa70e159e5e705a41fe29596aa7cdc6aa28193b93039932459ea923143
2019-12-11 01:03:40 UTC
2.12 GB
b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
PYTHON_PIP_VERSION19.3.1
PYTHON_RELEASE3.7.5
PYTHON_VERSION3.7.5
[#000] sha256:65014b3c312172f10bd6701a063f9b5aaf9a916c2d2cb843d406a6f77ded3f8d - 67.53% (1.43 GB)
[#001] sha256:faf31ee0aa3d3c60a38dd03c7554d632065cef50eab052ef1444590786249d07 - 29.99% (650 MB)
[#002] sha256:e147f14e0d6a9cbd5261162dea8f3aac7a34db5d9f6a587a9aac6b88722a2da4 - 0.0% (1.18 KB)
[#003] sha256:0864dec0d4ca7217bcd3d55a81d152b7adc479bf971c49ea306841268856ca07 - 0.0% (1.16 KB)
[#004] sha256:561e0adbd9e5a6dec86667397ce79b315b0a38abdd2dd633cfe5ca6f356082be - 0.0% (1.17 KB)
[#005] sha256:8405d110a8126b743ee083033e9871ebcbd65e7edd501ea2516a0b4926b1a917 - 2.24% (48.5 MB)
[#006] sha256:d353585f99508e17a2cd2f6f1c74deb9cf01f6cd07cf87aea4bf247d2eac8372 - 0.0% (1.18 KB)
[#007] sha256:da330827e682b4b6257853031eb0aad294321013a925469ba7b8e500a359e1d6 - 0.0% (1.18 KB)
[#008] sha256:1e361acf1d80720b77c1629b758d43321d7bcf4b73a78840e7bba675b9d92cd0 - 0.0% (1.16 KB)
[#009] sha256:e0f08d489f286b5dca33b8622445f98d6c553168cc6d8c1bf1fff08ff12b80ef - 0.23% (5.03 MB)
[#010] sha256:8c3d6be9e97e1501f779ff0fe7a30237e92ff8cbaa912b9e0a8d11d2db324ec5 - 0.0% (1.16 KB)
Apply image 1809-RTM-amd64
2019-11-29 04:34:15 UTCInstall update 1809-amd64
2019-12-10 21:34:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2019-12-11 01:00:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.7.5
2019-12-11 01:00:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.7.5
2019-12-11 01:02:29 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; Start-Process python.exe -Wait -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ); $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Write-Host 'Complete.'
2019-12-11 01:02:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=19.3.1
2019-12-11 01:02:32 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
2019-12-11 01:02:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
2019-12-11 01:03:39 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2019-12-11 01:03:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:ef295af214ef3a845d503fd85140a1d8461e1888b7e62313557d32a09a3b6569
2019-11-22 22:57:01 UTC
303 MB
0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
PYTHON_PIP_VERSION19.3.1
PYTHON_VERSION3.7.5
[#000] sha256:96156da8e12fc015ffbd186837e04c6c4e2dfe5494840348c48ae55f01c0542e - 15.14% (45.9 MB)
[#001] sha256:806d6fd28bc0410ad86d18a4e083e02ee35536140cc371e3cdd7c0c7cf362cef - 2.32% (7.02 MB)
[#002] sha256:751f24651de16e7bde026c4f4aefaf31be196ed92db3b2c81348c694693f213a - 3.05% (9.24 MB)
[#003] sha256:024e004d78f003015c8e6ad1f62b7419b0ac5f28c4501cd153ebd898c7390a95 - 15.59% (47.2 MB)
[#004] sha256:18fcdd3dc072ec607aa4e1f587b5bafdf98981e3cb1c56264d3099b07808b3cf - 53.84% (163 MB)
[#005] sha256:18d1bd6751dc982eb210e0397e2be2f8c79622e42cadea44fb66da31e8dc52f2 - 1.73% (5.24 MB)
[#006] sha256:8c3f7475327a7147d933b8892c9241edada649fea2e6f3b6f8f21a2c2515f441 - 7.74% (23.4 MB)
[#007] sha256:777c2bb91ff1244fb61cf678a20daa4a077d4d82e39cc5247c45ea964674e027 - 0.0% (234 Bytes)
[#008] sha256:34f0d40a1f181c880406fd68b623452db8316559ebcc06e7e5b1e4a87c9e2dd3 - 0.59% (1.78 MB)
/bin/sh -c #(nop) ADD file:23b24e6b66abab81b6f02095b5a46f724972b126daa5a21c8a4212ebd3874469 in /
2019-11-22 12:13:25 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-11-22 17:23:07 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-11-22 17:23:41 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-11-22 17:24:58 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-11-22 17:27:40 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2019-11-22 22:16:58 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-11-22 22:16:59 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2019-11-22 22:17:19 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2019-11-22 22:42:51 UTC/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
2019-11-22 22:42:52 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.5
2019-11-22 22:56:45 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version
2019-11-22 22:56:48 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2019-11-22 22:56:48 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=19.3.1
2019-11-22 22:56:49 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
2019-11-22 22:56:50 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
2019-11-22 22:57:00 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2019-11-22 22:57:01 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:e8d057179ad7aaf0a161637ba36f1dcd5bc7724a1ee7f9b4c1fd35ea86d56ccf
2019-11-23 01:30:11 UTC
295 MB
0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
PYTHON_PIP_VERSION19.3.1
PYTHON_VERSION3.7.5
[#000] sha256:6bac76f7ec397955852a282870ca77ba8bc17beaebffc52bc9053aaa18afc45f - 14.83% (43.7 MB)
[#001] sha256:b43968e81e0eda7d56c4e052a87cd68ef88c023cea38c51a9f30375292f9642d - 2.3% (6.77 MB)
[#002] sha256:3ecba33550822d3a153c6be10451c2d9e738070ee19367ec3136aee9875636ac - 3.02% (8.91 MB)
[#003] sha256:fffc58cc3ec62e27b8234a554691e44c19d566effa798a9e88bf039d3958d5d6 - 15.3% (45.1 MB)
[#004] sha256:6a69590e0d6b359167e2d103e39617e28e2d5da74e7327194e72a2a0b4828107 - 54.42% (160 MB)
[#005] sha256:839c43046833dc87303eef175734beaf61a985a5e570bc0f920fa03a201f45c2 - 1.68% (4.96 MB)
[#006] sha256:b8653cdde55e5b7133190577c6d7ddd49f9c919bd5f2c2eeb50c697e938b9a36 - 7.84% (23.1 MB)
[#007] sha256:dd672dd152eafb21cbcb15f958922a5c87cdcffb1a0b9a9f4820a9bb4c6df588 - 0.0% (239 Bytes)
[#008] sha256:1e58fd52ef5af2e24746b4c4efb5eda46729f3cab936a5c0c6f19caf93088b97 - 0.6% (1.78 MB)
/bin/sh -c #(nop) ADD file:4c51a92fbc511319241c84feac408f0040600ab2230fd8ef007c322f6a5b9532 in /
2019-11-22 13:22:17 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-11-22 23:09:59 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-11-22 23:10:12 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-11-22 23:11:00 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-11-22 23:13:22 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2019-11-23 00:47:18 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-11-23 00:47:19 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2019-11-23 00:47:33 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2019-11-23 01:15:02 UTC/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
2019-11-23 01:15:03 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.5
2019-11-23 01:29:43 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version
2019-11-23 01:29:50 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2019-11-23 01:29:52 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=19.3.1
2019-11-23 01:29:54 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
2019-11-23 01:29:55 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
2019-11-23 01:30:08 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2019-11-23 01:30:11 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:a4356c370cdaebfce25f0aa8c9a24c2660998f3a0fe2d5e38a694cadd7efd63f
2019-11-23 09:02:03 UTC
321 MB
0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
PYTHON_PIP_VERSION19.3.1
PYTHON_VERSION3.7.5
[#000] sha256:af4800279257e4522b03ad0d6d0aa937a2761fe0e54758127ec7fd14fc1715d0 - 14.63% (46.9 MB)
[#001] sha256:8fae2ec46cd5af1ce11d246b5b7bea023991c857cbf131fc2b4f80a42c7abb5c - 2.29% (7.32 MB)
[#002] sha256:8a8718b9412e0a23370b0877b007da88210a2408dd572782050dcdd233e1f19e - 2.97% (9.52 MB)
[#003] sha256:4908f8b447250af91341f8f3a1741b2c8d6432714e885746c4afd227eed1be7b - 15.49% (49.7 MB)
[#004] sha256:54e0fac9e6c6a4a40a22bab46b85791dc7a34b25219d893a5c2690273437194e - 54.61% (175 MB)
[#005] sha256:2b1da11f97bb2014cee3adefc29d8eeab67c59e39e9f93239eabdc80885fb1e9 - 1.76% (5.64 MB)
[#006] sha256:d93a637093d0e28b7979a0096bb9c72913ffd4f24bad405f933b54eef2e7f9a5 - 7.69% (24.7 MB)
[#007] sha256:c79746565cc44cc4f32fb80e6142cd5513e3250375f71a8f48abe4fc9da96e23 - 0.0% (233 Bytes)
[#008] sha256:3dfacccebd9756b1aa72bea0c064be2ce81f585cc645cee842f3c7babc7697b6 - 0.56% (1.78 MB)
/bin/sh -c #(nop) ADD file:9f9eea5881797502bfab12007544d80607c25d2748eeeba94c931d9e83b82ca9 in /
2019-11-22 13:41:29 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-11-22 20:12:21 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-11-22 20:12:36 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-11-22 20:13:25 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-11-22 20:16:04 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2019-11-23 08:03:36 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-11-23 08:03:46 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2019-11-23 08:04:53 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2019-11-23 08:42:18 UTC/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
2019-11-23 08:42:25 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.5
2019-11-23 09:00:13 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version
2019-11-23 09:00:31 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2019-11-23 09:00:42 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=19.3.1
2019-11-23 09:00:51 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
2019-11-23 09:01:04 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
2019-11-23 09:01:40 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2019-11-23 09:02:03 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:437e866b37b18f81aad5746fafe1f3b7d805d8df6aad78c619661c28874f3c0f
2019-11-23 09:35:00 UTC
352 MB
0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
PYTHON_PIP_VERSION19.3.1
PYTHON_VERSION3.7.5
[#000] sha256:127c50d67aec36464937a4593797286304a844c7b8ca8263bbbdd8967229cf5a - 14.66% (51.6 MB)
[#001] sha256:65f59bd6a64d30e2f2a4a62e9589199153ddb61c2f77cc445945b67cd56d87db - 2.23% (7.87 MB)
[#002] sha256:87c8328c28b5029be40abe47ebb260b0dab06a48ca9afdbd9a04b1d91fe6480f - 2.91% (10.2 MB)
[#003] sha256:bf1a63bd0de74997185aa941953104c26c47babd2334ce4ebc507eefbd72b724 - 15.55% (54.7 MB)
[#004] sha256:8a7f7cbd4299e83d6173d1cd36c3636a5dc569334823a99166f1a3eeea2e8302 - 54.94% (193 MB)
[#005] sha256:5bdab507a591b99fa7825e6f3dcecb59e1a130a2c59e2105d2a9604b2c7ab178 - 1.77% (6.23 MB)
[#006] sha256:1cce42b27e217a31d2dc6a2a8c0cf485f7b89714b4d2b4d39016eb6491e31a8a - 7.44% (26.2 MB)
[#007] sha256:af1f6899e90c947fdd74734be5191f4092ca0b4184c7ff7f5c58fb26ca135897 - 0.0% (234 Bytes)
[#008] sha256:675f225027dadbe1af8b6faa7630a3fbd39f5d83e79459440ebf9a8013ba7035 - 0.51% (1.78 MB)
/bin/sh -c #(nop) ADD file:7ea1f6679a4179527d68a59a76ad469bf07b8ce30b1288b4b6437bba9982b896 in /
2019-11-22 14:54:56 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-11-23 00:01:27 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-11-23 00:01:59 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-11-23 00:03:13 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-11-23 00:08:52 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2019-11-23 08:53:04 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-11-23 08:53:06 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2019-11-23 08:53:44 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2019-11-23 09:21:33 UTC/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
2019-11-23 09:21:36 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.5
2019-11-23 09:34:26 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version
2019-11-23 09:34:33 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2019-11-23 09:34:36 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=19.3.1
2019-11-23 09:34:39 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
2019-11-23 09:34:41 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
2019-11-23 09:34:57 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2019-11-23 09:35:00 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:ed099e34f9eab338353a2be0374cd64a21369bbe9f8b8e27ebe75323c5b1e62f
2019-11-15 02:05:53 UTC
313 MB
0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
PYTHON_PIP_VERSION19.3.1
PYTHON_VERSION3.7.5
[#000] sha256:aeaeeb43f723e2d6411dd54deca73da275af05abcbeaa06facfece152b7cc9f6 - 14.92% (46.7 MB)
[#001] sha256:f716f569a549b2e83daadf9702956ea8c3147d4d0fd2a4c5c8f80b2fd26b7467 - 2.25% (7.04 MB)
[#002] sha256:98ba6bcac41c3d29b1d4b7b541a18d8699f01e9cbcf2c25cf50da8d04e1fa1d3 - 3.01% (9.42 MB)
[#003] sha256:2d4f7797130be3fe685ad8e78ca714ccdcb83c6b93fb3edb74ac9c64b20f9325 - 15.63% (48.9 MB)
[#004] sha256:35a4196b3131d1c9fca1ba3e74a84ac40c775c233defa7f904ac5a0f5493154f - 53.81% (168 MB)
[#005] sha256:a6857df1e3566e9cda72cc9ab8e33d93baaadf42eacef9d461212628a588b4aa - 1.74% (5.44 MB)
[#006] sha256:cb5faa3b8415817e744c6b9a777f246b454212320961b23e2373c2fee8c899f4 - 8.07% (25.3 MB)
[#007] sha256:5be76c94c5b3f145522a520028dc448861becd87f3931642559e40be62abf48b - 0.0% (234 Bytes)
[#008] sha256:14af2aff437440313f15ff0dfa7abe1708d4c7c86704c20d46d7fb8dd49375e6 - 0.57% (1.78 MB)
/bin/sh -c #(nop) ADD file:cacbc5a59bab479d85dfe3a5aec6e1ad9416d48e0e2f16b6033695dd2a83a853 in /
2019-10-16 23:42:28 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-10-17 00:21:11 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-10-17 00:21:30 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-10-17 00:22:12 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-10-17 00:24:44 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2019-10-17 08:31:58 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-10-17 08:31:58 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2019-10-17 08:32:10 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2019-10-17 08:48:53 UTC/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D
2019-10-18 23:43:28 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.5
2019-11-15 02:05:46 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version
2019-11-15 02:05:47 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2019-11-15 02:05:47 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=19.3.1
2019-11-15 02:05:47 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/ffe826207a010164265d9cc807978e3604d18ca0/get-pip.py
2019-11-15 02:05:48 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b86f36cc4345ae87bfd4f10ef6b2dbfa7a872fbff70608a1e43944d283fd0eee
2019-11-15 02:05:53 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2019-11-15 02:05:53 UTC/bin/sh -c #(nop) CMD ["python3"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.